Name:           userspace-rcu
Version:        0.13.0
Release:        5
Summary:        Userspace read-copy-update library
License:        LGPLv2+
URL:            http://liburcu.org
Source0:        http://lttng.org/files/urcu/%{name}-%{version}.tar.bz2
Patch1:         userspace-rcu-0.13.0-sw.patch

%ifarch loongarch64
Patch0000:      add-loongarch.patch
%endif
BuildRequires:  pkgconfig perl-Test-Harness autoconf automake libtool

%description
liburcu is a LGPLv2.1 userspace RCU (read-copy-update) library. This data
synchronization library provides read-side access which scales linearly with
the number of cores. It does so by allowing multiples copies of a given data
structure to live at the same time, and by monitoring the data structure
accesses to detect grace periods after which memory reclamation is possible.

%package        devel
Summary:        The devel for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Development files for %{name}

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vif

%configure 

make %{?_smp_mflags} V=1


%install
%make_install


%check
make check
#make regtest

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%license LICENSE gpl-2.0.txt lgpl-relicensing.txt lgpl-2.1.txt
%doc ChangeLog README.md
%{_libdir}/*.so.*
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%exclude %{_docdir}/%{name}/LICENSE

%files devel
%doc %{_pkgdocdir}/examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/liburcu*.pc
%{_docdir}/%{name}/cds-api.md
%{_docdir}/%{name}/rcu-api.md
%{_docdir}/%{name}/solaris-build.md
%{_docdir}/%{name}/uatomic-api.md


%changelog
* Mon Nov 14 2022 huajingyun<huajingyun@loongson.cn> - 0.13.0-5
- Add support loongarch

* Thu Aug 11 2022 wuzx<wuzx1226@qq.com> - 0.13.0-4
- add sw64 patch

* Fri Apr 01 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 0.13.0-3
- delete old so file

* Mon Dec 13 2021 zhouwenpei <zhouwenpei1@huawei.com> - 0.13.0-2
- fix build error

* Mon Nov 29 2021 zhouwenpei <zhouwenpei1@huawei.com> - 0.13.0-1
- upgrade to 0.13.0

* Tue Jul 21 2020 jinzhimin <jinzhimin2@huawei.com> - 0.12.1-1
- upgrade to 0.12.1

* Mon Jun 29 2020 xinghe <xinghe1@huawei.com> - 0.10.1-10
- Type:bugfix
- ID:NA
- SUG:restart
- DESC: Change the patch name

* Sun Jun 28 2020 xinghe <xinghe1@huawei.com> - 0.10.1-9
- Type:bugfix
- ID:NA
- SUG:restart
- DESC: Shield regtest

* Wed Jun 24 2020 xinghe <xinghe1@huawei.com> - 0.10.1-8
- Type:bugfix
- ID:NA
- SUG:restart
- DESC: Remove the benchmarks from the regtest.

* Wed Jan 8 2020 hewenliang<hewenliang4@huawei.com> - 0.10.1-7
- Type:bugfix
- ID:NA
- SUG:restart
- DESC: Enable benchmarks in regtest.

* Mon Aug 12 2019 hewenliang<hewenliang4@huawei.com> - 0.10.1-6
- Type:bugfix
- ID:NA
- SUG:restart
- DESC: fix performance issue of the urcu.

* Mon Aug 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.10.1-5
- Package init
